{% extends "collectors/base.html" %}

{% block main %}
    <div class="collector-details">
        <div class="collector-details-header">
            <h1>Collector Details for {{ collector.collector_name }}</h1>
        </div>
        <div class="collector-details-data">
            <div class="alert-box">
                {% include 'includes/alerts.html' %}
            </div>
            <div class="collector-details-data-base">
                <h2>Base Settings</h2>
                <form id="collector-details-data-form" name="collector-details" method="post">
                    {% include 'collectors/components/details-base.html' %}
                </form>
            </div>
            {% if collector_config.config.settings and collector_config.config.settings.base and collector_config.config.settings.base.data_groups %}
                {% include "collectors/components/details-data-groups.html" %}
            {% endif %}
            <div class="collector-details-buttons">
                <button class="submit-button-3" type="submit" name="save" form="collector-details-data-form">Save</button>
                <button class="submit-button-3" type="submit" name="save_continue" form="collector-details-data-form">Save & Continue</button>
                <button class="button-red" type="submit" name="delete" form="collector-details-data-form">Delete</button>
            </div>
        </div>
    </div>
{% endblock %}